<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{5F06AF65-3E7F-4EBB-96EE-8A9ED331A7D8}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>FooEditor</RootNamespace>
    <AssemblyName>FooEditor</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>notepad.ICO</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;WPF</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|AnyCPU'">
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE;WPF</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="FooEditEngine.WPF">
      <HintPath>..\Libs\FooEditEngine.WPF.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.WindowsAPICodePack">
      <HintPath>..\Libs\Microsoft.WindowsAPICodePack.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.WindowsAPICodePack.Shell">
      <HintPath>..\Libs\Microsoft.WindowsAPICodePack.Shell.dll</HintPath>
    </Reference>
    <Reference Include="ReachFramework" />
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.Printing" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.XML" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="Xceed.Wpf.AvalonDock, Version=2.0.2000.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Libs\Xceed.Wpf.AvalonDock.dll</HintPath>
    </Reference>
    <Reference Include="Xceed.Wpf.Toolkit">
      <HintPath>..\Libs\Xceed.Wpf.Toolkit.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="..\..\Common\CLangFoldingGenerator.cs">
      <Link>CLangFoldingGenerator.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\DelegateCommand.cs">
      <Link>DelegateCommand.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\FindFlyoutViewModel.cs">
      <Link>FindFlyoutViewModel.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\FindViewBase.cs">
      <Link>FindViewBase.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\GenericHilighter.cs">
      <Link>GenericHilighter.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\KeyWordManager.cs">
      <Link>KeyWordManager.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\LineJumpViewModel.cs">
      <Link>LineJumpViewModel.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\RegexFoldingGenerator.cs">
      <Link>RegexFoldingGenerator.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\ViewModelBase.cs">
      <Link>ViewModelBase.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\XmlHilighter.cs">
      <Link>XmlHilighter.cs</Link>
    </Compile>
    <Compile Include="AdminOperation.cs" />
    <Compile Include="AutocompleteBox.cs" />
    <Compile Include="AutoIndent.cs" />
    <Compile Include="CompleteCollection.cs" />
    <Compile Include="Config.cs" />
    <Compile Include="ConfigDialog.xaml.cs">
      <DependentUpon>ConfigDialog.xaml</DependentUpon>
    </Compile>
    <Compile Include="DocumentTypeCollection.cs" />
    <Compile Include="ExceptionDialog.xaml.cs">
      <DependentUpon>ExceptionDialog.xaml</DependentUpon>
    </Compile>
    <Compile Include="FooEditorCommands.cs" />
    <Compile Include="IPCClient.cs" />
    <Compile Include="IPCServer.cs" />
    <Compile Include="LineJumpDialog.xaml.cs">
      <DependentUpon>LineJumpDialog.xaml</DependentUpon>
    </Compile>
    <Compile Include="MainWindowViewModel.cs" />
    <Compile Include="NameDictionaryHelper.cs" />
    <Compile Include="PanelStyleSelector.cs" />
    <Compile Include="PipeCommandListener.cs" />
    <Compile Include="PluginManager.cs" />
    <Compile Include="Plugin\IPlugin.cs" />
    <Compile Include="PrintHFParser.cs" />
    <Compile Include="RecentFileCollection.cs" />
    <Compile Include="TypeConverter.cs" />
    <Page Include="ConfigDialog.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="DocumentWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ExceptionDialog.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="FindReplaceWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="LineJumpDialog.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CustomFileDialog.cs" />
    <Compile Include="DocumentWindow.xaml.cs">
      <DependentUpon>DocumentWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="FindReplaceWindow.xaml.cs">
      <DependentUpon>FindReplaceWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="App.config" />
    <None Include="app.manifest" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="notepad.ICO" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.5">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.5 %28x86 および x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Common\EncodeDetect\EncodeDetect.csproj">
      <Project>{942362a6-24fd-4601-a496-9bd4c08a64a9}</Project>
      <Name>EncodeDetect</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>xcopy "$(SolutionDir)Definitions\Keywords" "$(TargetDir)Keywords" /E /I /Y
xcopy "$(SolutionDir)Definitions\Sinppets" "$(TargetDir)Sinppets" /E /I /Y</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>